<?php
/*------------------------------------------------------------------------
# "Hot Fireworks" Joomla template - October, 2009
# Copyright (C) 2009 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<?php
	$showleft = $this->countModules('left');
	$showright = $this->countModules('right');
	$showtop = $this->countModules('top');
	$showuser[1] = $this->countModules('user1');
	$showuser[2] = $this->countModules('user2');
	$showuser[3] = $this->countModules('user3');
	$showuser[4] = $this->countModules('user4');
	$showuser[5] = $this->countModules('user5');
	$showuser[6] = $this->countModules('user6');

	$textDirection = $this->params->get("textDirection", "ltr");
	$main_color1 = $this->params->get("main_color1", "13124b");
	$main_color2 = $this->params->get("main_color2", "c65555");
	$main_color3 = $this->params->get("main_color3", "e68f8f");
	$hilite1 = $this->params->get("hilite1", "4b1212");
	$hilite2 = $this->params->get("hilite2", "13124b");
	$links_color = $this->params->get("links_color", "c65555");
	$submenu2 = $this->params->get("submenu2", "e68f8f");
	$tagline = $this->params->get("tagline", "Another HOT Release!");
	
	$topmodules = 0;
	for ($loop = 1; $loop <= 3; $loop += 1) {
	if($showuser[$loop]) { $topmodules++; }
	}

	$bottommodules = 0;
	for ($loop = 4; $loop <= 6; $loop += 1) {
	if($showuser[$loop]) { $bottommodules++; }
	}

	$contentmodules = 0;
	if($showleft) { $contentmodules++; }
	if($showright) { $contentmodules++; }
?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/colors_css.php'); ?>
-->
</style>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/jquery.lightbox-0.5.css" type="text/css" />

<?php JHtml::_('bootstrap.framework', true); ?>

<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_fireworks/js/menu.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_fireworks/js/reflection.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_fireworks/js/hot.js"></script>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_fireworks/js/jquery.lightbox-0.5.min.js"></script>
<script type="text/javascript">
    jQuery(function() {
        jQuery('#gallery a').lightBox({
            imageLoading:'<?php echo $this->baseurl ?>/templates/hot_fireworks/images/lightbox-ico-loading.gif',
            imageBtnPrev:'<?php echo $this->baseurl ?>/templates/hot_fireworks/images/lightbox-btn-prev.gif',
            imageBtnNext:'<?php echo $this->baseurl ?>/templates/hot_fireworks/images/lightbox-btn-next.gif',
            imageBtnClose:'<?php echo $this->baseurl ?>/templates/hot_fireworks/images/lightbox-btn-close.gif',
            imageBlank:'<?php echo $this->baseurl ?>/templates/hot_fireworks/images/lightbox-blank.gif'
        });
    });
</script>

<!--[if IE 6]>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_fireworks/js/pngfix.js"></script>
<script>
  POS_BrowserPNG.fix('#logo a img,.readon,.readmore,.module1 div.module,.module2 div.module,.module3 div.module,#main_area,.left_modules,.right_modules,.left_modules2,.right_modules2,ul li,ul.checklist li,div.moduletable-hilite1,div.moduletable-hilite2,img');
</script>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_fireworks/css/ie6only.css" type="text/css" />
<![endif]-->
</head>
<body>
<div id="wrapper">
	<div id="top_area">
    	<div id="logo">
        	<a href="index.php" title="Fireworks"><img src="<?php echo $this->baseurl ?>/templates/hot_fireworks/images/logo.png" alt="logo" /></a>
        </div>
        <div id="tagline">
        	<?php echo $tagline; ?>
		</div>
        <div id="top_menu">
        	<jdoc:include type="modules" name="topmenu" style="none" />
        </div>
    </div>
    <?php if($showtop) { ?>
    <div id="article_rotator">
    	<jdoc:include type="modules" name="top" style="none" />
   	</div>
    <div id="switch_button">
    	<a href="#" id="switch"><img src="<?php echo $this->baseurl ?>/templates/hot_fireworks/images/toggle_news.gif" alt="toggle news" /></a>
    </div>
    <?php }else{ ?>
    <div id="no_top"></div>
    <?php } ?>
	<?php if($topmodules) { ?>
    <div id="top_modules">
    	<?php if($showuser[1]) { ?><div class="module<?php echo $topmodules; ?>"><jdoc:include type="modules" name="user1" style="rounded" /></div><?php } ?>
        <?php if($showuser[2]) { ?><div class="module<?php echo $topmodules; ?>"><jdoc:include type="modules" name="user2" style="rounded" /></div><?php } ?>
        <?php if($showuser[3]) { ?><div class="module<?php echo $topmodules; ?>"><jdoc:include type="modules" name="user3" style="rounded" /></div><?php } ?>
        <div class="clr">&nbsp;</div>
   	</div>
	<?php } ?>
    <div id="main_area">
    	<?php if($showleft) { ?>
    	<div class="left_modules">
        	<div class="left_modules2">
                <div class="module_pad">
                    <jdoc:include type="modules" name="left" style="xhtml" />
                </div>
            </div>
        </div>
        <?php } ?>
        <div class="content<?php echo $contentmodules; ?>">
        	<div class="content_pad">
                <jdoc:include type="message" />
                <jdoc:include type="component" />
            </div>
        </div>
        <?php if($showright) { ?>
        <div class="right_modules">
        	<div class="right_modules2">
                <div class="module_pad">
                    <jdoc:include type="modules" name="right" style="xhtml" />
                </div>
            </div>
        </div>
        <?php } ?>
        <?php $menu = JFactory::getApplication()->getMenu();
		if ($menu->getActive() != $menu->getDefault()) { ?>
        <div class="clr breadcrumbs"><jdoc:include type="modules" name="breadcrumbs" /></div>
        <?php }else{ ?>
        <div class="clr">&nbsp;</div>
        <?php } ?>
   	</div>
<?php if($bottommodules) { ?>
    <div id="bottom_modules">
    	<?php if($showuser[4]) { ?><div class="module<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user4" style="rounded" /></div><?php } ?>
        <?php if($showuser[5]) { ?><div class="module<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="rounded" /></div><?php } ?>
        <?php if($showuser[6]) { ?><div class="module<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="rounded" /></div><?php } ?>
        <div class="clr">&nbsp;</div>
   	</div>
<?php } ?>
    <div id="footer">
    	<div class="footer">
    		<jdoc:include type="modules" name="footer" style="none" />
        </div>
    	<div class="hot">
   		Designed by<br/>Hot Joomla Templates</div>
   	</div>
</div>
<jdoc:include type="modules" name="debug" />
</body>
</html>